%define rel 1

Name:		nvme-cli
Version:	1.13
Release:	%mkrel %{rel}
Summary:	NVMe command line interface
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/linux-nvme/nvme-cli
Source0:	https://github.com/linux-nvme/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(uuid)

%description
nvme-cli is a NVM-Express user space tooling for Linux.

%prep
%setup -q
%autopatch -p1

%build
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags} -I." LDFLAGS="%{ldflags}"

%install
%make_install PREFIX=%{_prefix} \
	SYSTEMDDIR="%{_unitdir}/.." \
	UDEVDIR="%{_udevrulesdir}/.."

# hostid and hostnqn are supposed to be unique per machine.  We obviously
# can't package them.
rm -f %{buildroot}%{_sysconfdir}/nvme/hostid
rm -f %{buildroot}%{_sysconfdir}/nvme/hostnqn

# don't install dracut rule yet
rm -f %{buildroot}/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

%files
%license LICENSE
%doc README.md
%{_sbindir}/nvme
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme
%dir %{_sysconfdir}/nvme
%config(noreplace) %{_sysconfdir}/nvme/discovery.conf
%{_udevrulesdir}/70-nvmf-autoconnect.rules
%{_udevrulesdir}/71-nvmf-iopolicy-netapp.rules
%{_unitdir}/nvmefc-boot-connections.service
%{_unitdir}/nvmf-autoconnect.service
%{_unitdir}/nvmf-connect.target
%{_unitdir}/nvmf-connect@.service


%changelog
* Sat Jan 02 2021 ghibo <ghibo> 1.13-1.mga8
+ Revision: 1668355
- Update to release 1.13

* Sun Sep 13 2020 ghibo <ghibo> 1.12-1.mga8
+ Revision: 1625683
- Update to release 1.12 and sync with FC 1.11.0.

* Sat Feb 15 2020 umeabot <umeabot> 1.9.0-1.git20190412.mga8
+ Revision: 1525281
- Mageia 8 Mass Rebuild

* Sat Apr 13 2019 ghibo <ghibo> 1.9.0-0.git20190412.mga7
+ Revision: 1389546
- imported package nvme-cli


* Fri Apr 12 2019 ghibo <ghibo> 1.9.0-0.git20190412.mga7
- Initial release.
- Added a patch to fix bufsize.
